## vaultlocker 1.0.3

=== debian/changelog ===
vaultlocker (1.0.3-0ubuntu2) disco; urgency=medium

  * d/p/unblock-network.online.target.patch: Cherry pick fix to ensure
    that vaultlocker-decrypt@ systemd units don't block the network-online
    target which blocks server boot in the event that the Vault deployment
    being used is not accessible (LP: #1818680).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Mar 2019 07:44:58 +0000

vaultlocker (1.0.3-0ubuntu1) cosmic; urgency=medium

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Aug 2018 08:53:27 +0100

## vaultlocker 1.0.4

=== debian/changelog ===
vaultlocker (1.0.4-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream point release including fix for an issue when
    vaultlocker blocks boot if interfaces are in a down or no-carrier
    state (LP: #1838607):
    - d/p/*: Drop, all included in new point release.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2019 16:22:36 +0000

## vaultlocker 1.0.5

=== debian/changelog ===
vaultlocker (1.0.5-0ubuntu1) focal; urgency=medium

  * New upstream point release (LP: #1863014).

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2020 14:49:41 +0000

vaultlocker (1.0.4-0ubuntu1) focal; urgency=medium

  * New upstream release (LP: #1838607):
    - d/p/*: Drop all patches, included in release.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2019 14:49:04 +0000

## vaultlocker 1.0.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
hvac
tenacity

=== debian/changelog ===
vaultlocker (1.0.6-0ubuntu1.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:40:57 +0100

vaultlocker (1.0.6-0ubuntu1) focal; urgency=medium

  * New upstream point release including fix to ensure vaultlocker
    waits for hostname resolution to be up before starting (LP: #1868557).

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2020 15:50:33 +0000

=== debian/control ===
Source: vaultlocker
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-hvac,
 python3-tenacity,
 python3-mock (>= 2.0.0),
 python3-oslotest (>= 1:2.17.0),
 python3-testtools (>= 2.2.0),
 python3-stestr,
Standards-Version: 4.1.1
Homepage: https://github.com/openstack-charmers/vaultlocker

Package: vaultlocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
Description: Secure storage of dm-crypt keys in Hashicorp Vault
 vaultlocker provides a way to store and retrieve dm-crypt encryption
 keys in Vault, automatically retrieving keys and opening LUKS dm-crypt
 devices on boot.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/vaultlocker/vaultlocker-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
